Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRectilinearGridWriter Class Reference

`#include <vtkRectilinearGridWriter.h>`

Inheritance diagram for vtkRectilinearGridWriter:

[legend]
Collaboration diagram for vtkRectilinearGridWriter:

[legend]
List of all members.

## Detailed Description

write vtk rectilinear grid data file

Date:
  2002/05/31 23:12:41

Revision:
  1.22

vtkRectilinearGridWriter is a source object that writes ASCII or binary rectilinear grid data files in vtk format. See text for format details.

Warning:
  Binary files written on one system may not be readable on other systems.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (67%)
  - Law, Charles (9%)
  - Cedilnik, Andy (6%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkRectilinearGridWriter.h)`
  - .`cxx` (`/IO/vtkRectilinearGridWriter.cxx)`

Definition at line 49 of file vtkRectilinearGridWriter.h.

## Public Types
typedef vtkDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkRectilinearGrid *input)
vtkRectilinearGrid * | GetInput ()
## Static Public Methods
vtkRectilinearGridWriter * | New ()
int | IsTypeOf (const char *type)
vtkRectilinearGridWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRectilinearGridWriter ()
| ~vtkRectilinearGridWriter ()
void | WriteData ()

## Member Typedef Documentation

typedef vtkDataWriter vtkRectilinearGridWriter::Superclass

| Reimplemented from vtkDataWriter. Definition at line 53 of file vtkRectilinearGridWriter.h.

## Constructor & Destructor Documentation

vtkRectilinearGridWriter::vtkRectilinearGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkRectilinearGridWriter.h.

vtkRectilinearGridWriter::~vtkRectilinearGridWriter | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkRectilinearGridWriter.h.

## Member Function Documentation

vtkRectilinearGridWriter* vtkRectilinearGridWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataWriter.

virtual const char* vtkRectilinearGridWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataWriter.

int vtkRectilinearGridWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

virtual int vtkRectilinearGridWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataWriter.

vtkRectilinearGridWriter* vtkRectilinearGridWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataWriter.

void vtkRectilinearGridWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataWriter.

void vtkRectilinearGridWriter::SetInput | ( | vtkRectilinearGrid * | input | ) |

| Set / get the input data or filter.

vtkRectilinearGrid* vtkRectilinearGridWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkRectilinearGridWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataWriter.

The documentation for this class was generated from the following file:

- IO/vtkRectilinearGridWriter.h